diff options
author | Linus Torvalds <torvalds@linux-foundation.org> | 2012-09-06 12:38:25 -0400 |
---|---|---|
committer | Linus Torvalds <torvalds@linux-foundation.org> | 2012-09-06 12:38:25 -0400 |
commit | bd12ce8cc23a5ab7eafb1edb3f2cd311d2b89e7e (patch) | |
tree | f6b9179b98d9a9584b42a8e3c4f363607e508c21 | |
parent | 80de7c3138ee9fd86a98696fd2cf7ad89b995d0a (diff) | |
parent | 6c7080a61fc7b46b3ac8573952b5a3e9d5f68bc4 (diff) |
Merge branch 'rc-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild
Pull kbuild fixes from Michal Marek:
"These are two fixes that should go into 3.6. The link-vmlinux.sh one
is obvious.
The other one fixes make firmware_install with certain configurations,
where a file in the toplevel firmware tree gets installed first, and
$(INSTALL_FW_PATH)/$$(dir <file>) results in /lib/firmware/./, which
confuses make 3.82 for some reason."
* 'rc-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild:
firmware: fix directory creation rule matching with make 3.82
link-vmlinux.sh: Fix stray "echo" in error message
-rw-r--r-- | scripts/Makefile.fwinst | 2 | ||||
-rw-r--r-- | scripts/link-vmlinux.sh | 2 |
2 files changed, 2 insertions, 2 deletions
diff --git a/scripts/Makefile.fwinst b/scripts/Makefile.fwinst index 6bf8e87f1dcf..c3f69ae275d1 100644 --- a/scripts/Makefile.fwinst +++ b/scripts/Makefile.fwinst | |||
@@ -42,7 +42,7 @@ quiet_cmd_install = INSTALL $(subst $(srctree)/,,$@) | |||
42 | $(installed-fw-dirs): | 42 | $(installed-fw-dirs): |
43 | $(call cmd,mkdir) | 43 | $(call cmd,mkdir) |
44 | 44 | ||
45 | $(installed-fw): $(INSTALL_FW_PATH)/%: $(obj)/% | $(INSTALL_FW_PATH)/$$(dir %) | 45 | $(installed-fw): $(INSTALL_FW_PATH)/%: $(obj)/% | $$(dir $(INSTALL_FW_PATH)/%) |
46 | $(call cmd,install) | 46 | $(call cmd,install) |
47 | 47 | ||
48 | PHONY += __fw_install __fw_modinst FORCE | 48 | PHONY += __fw_install __fw_modinst FORCE |
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh index 4629038c9e5a..4235a6361fec 100644 --- a/scripts/link-vmlinux.sh +++ b/scripts/link-vmlinux.sh | |||
@@ -211,7 +211,7 @@ if [ -n "${CONFIG_KALLSYMS}" ]; then | |||
211 | 211 | ||
212 | if ! cmp -s System.map .tmp_System.map; then | 212 | if ! cmp -s System.map .tmp_System.map; then |
213 | echo >&2 Inconsistent kallsyms data | 213 | echo >&2 Inconsistent kallsyms data |
214 | echo >&2 echo Try "make KALLSYMS_EXTRA_PASS=1" as a workaround | 214 | echo >&2 Try "make KALLSYMS_EXTRA_PASS=1" as a workaround |
215 | cleanup | 215 | cleanup |
216 | exit 1 | 216 | exit 1 |
217 | fi | 217 | fi |